Gio::TlsError Class Reference

`#include <giomm/error.h>`

Inheritance diagram for Gio::TlsError:
[legend]

## Public Types

enum | Code { UNAVAILABLE, MISC, BAD_CERTIFICATE, NOT_TLS, HANDSHAKE, CERTIFICATE_REQUIRED, ENDOFFILE }

## Public Member Functions

| TlsError (Code error_code, const Glib::ustring& error_message)
| TlsError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Member Enumeration Documentation

enum Gio::TlsError::Code

Enumerator
UNAVAILABLE |
MISC |
BAD_CERTIFICATE |
NOT_TLS |
HANDSHAKE |
CERTIFICATE_REQUIRED |
ENDOFFILE |

## Constructor & Destructor Documentation

Gio::TlsError::TlsError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Gio::TlsError::TlsError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gio::TlsError::code | ( |  | ) | const